Entwurf Etikett

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Label and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Draft Label.svg Entwurf Etikett

Menüeintrag
Entwurf → Etikett
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
D L
Eingeführt in Version
0.17
Siehe auch
Entwurf Text, Entwurf FormZeichenfolge

Beschreibung

Das Etikettenwerkzeug fügt ein mehrzeiliges Textfeld mit einer 2-teiligen Führungslinie und einem Pfeil ein. Wenn beim Starten des Befehls ein Objekt oder ein Unterelement (Fläche, Kante oder Knoten) ausgewählt wird, kann das Etikett veranlasst werden, ein bestimmtes Attribut des ausgewählten Elements anzuzeigen, einschließlich Position, Länge, Fläche, Volumen oder Material.

Um ein einfacheres Textelement ohne Pfeil einzufügen, verwende Entwurf Text. Um feste Textformen zu erstellen, verwende Entwurf FormZeichenfolge mit Part extrudieren.

Draft Label example.jpg

Verschiedene Etiketten mit unterschiedlichen Ausrichtungen, Hinweissymbolen und Informationen

Anwendung

  1. Drücke die Draft Label.svg Entwurf Etikett Schaltfläche oder drücke D und dann L Schaltflächen.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht oder gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt gibt das Ziel (Pfeilspitze) an. Dies kann überall sein, es muss kein Element sein.
  3. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein, und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt zeigt den Beginn einer horizontalen oder vertikalen Führungslinie an.
  4. Klicke auf einen dritten Punkt in der 3D Ansicht, oder gib eine Koordinate ein, und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt gibt den Basispunkt des Textes an.

Hinweis: die Richtung des horizontalen geraden Segments, nach rechts oder links, richtet den Text automatisch in die entgegengesetzte Richtung aus. Wenn die Führungslinie vertikal nach oben geht, wird der Text nach links ausgerichtet; wenn sie vertikal nach unten geht, wird sie nach rechts ausgerichtet.

Hinweis 2: durch Vorauswahl eines Objekts oder eines Unterelements (Knoten, Kante oder Fläche) vor dem Drücken der Werkzeugschaltfläche wird die Beschriftung parametrisch, d. h. sie merkt sich, an welches Objekt sie gebunden ist, und kann ein bestimmtes Attribut dieses Objekts anzeigen. Wenn sich die Attribute des Objekts später ändern, passt das Etikett die angezeigten Informationen an.

Optionen

  • Klicke auf Etikettentyp, um die Art der anzuzeigenden Informationen auszuwählen, einschließlich "Benutzerdefiniert", "Name", "Etikett", "Position", "Länge", "Bereich", "Volumen", "Tag" und "Material". (Siehe Erklärung der Labeltypen unten)
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücke dann Eingabe zwischen jeder X, Y und Z Komponente. Du kannst die Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken wenn du die gewünschten Werte zum Einfügen des Punktes hast.
  • Halte Strg gedrückt, während der Platzierung der Beschriftung, um Fang deinen Punkt unabhängig von der Entfernung an die nächstgelegene Fangposition zu zwingen.
  • Drücke Esc oder die Schließen Schaltfläche, um den aktuellen Befehl abzubrechen.

Eigenschaften

Daten

  • DataEtikettentyp: legt die Art der von diesem Etikett angezeigten Informationen fest (siehe Etikettentypen unten).
  • DataBenutzerdefinierter Text: gibt den Textblock an, der angezeigt werden soll, wenn DataEtikettentyp auf "Benutzerdefiniert" gesetzt ist oder das Etikett nicht parametrisiert ist. Der Text wird als Liste von Zeichenketten angegeben; jedes Element der Liste, getrennt durch ein Komma, zeigt eine neue Textzeile an.
  • DataText: (schreibgeschützt) gibt den tatsächlichen Text an, der vom Etikett angezeigt wird, abhängig vom DataEtikettentyp.
  • DataZielpukt: gibt die Position der Spitze des Vorspanns an.
  • DataGerade Richtung: gibt die Richtung des geraden Segments der Führungslinie an, entweder horizontal oder vertikal.
  • DataGerader Abstand: gibt die Länge des geraden Abschnitts der Führungslinie, ausgehend vom Basispunkt des Textes, an. Ist der Abstand positiv, beginnt der Vorspann an der rechten Seite des Textes und der Text wird rechtsbündig ausgerichtet; andernfalls beginnt der Vorspann an der linken Seite des Textes und der Text wird linksbündig ausgerichtet.
  • DataPosition: gibt den Basispunkt der ersten Zeile des Textblocks an; er beeinflusst auch, wie der Vorspann gezeichnet wird.
  • DataWinkel: gibt die Drehung der Grundlinie der ersten Zeile des Textblocks an; beeinflusst auch die Zeichnung des Vorspanns, da dieser nicht mehr horizontal oder vertikal ist.
  • DataAchse: legt die Achse fest, die für die Drehung verwendet werden soll.

Etikettentypen

  • Benutzerdefiniert: zeigt den Inhalt von DataBenutzerdefinierter Text an.
  • Name: zeigt den internen Namen des Zielobjekts an; der interne Name wird dem Objekt zum Zeitpunkt seiner Erstellung zugewiesen und bleibt während der gesamten Existenz des Objekts fest.
  • Etikett: zeigt die Beschriftung des Zielobjekts an; die Beschriftung des Objekts kann jederzeit vom Benutzer geändert werden.
  • Position: zeigt die Koordinaten des Basispunkts des Zielobjekts, des Zielscheitelpunkts oder des Massenschwerpunkts des Zielunterelements an, falls zutreffend.
  • Länge: zeigt ggf. die Länge des Ziel Unterelements an.
  • Fläche: zeigt ggf. die Fläche des Ziel Unterelements an.
  • Volumen: zeigt das Volumen des Zielobjekts an, falls zutreffend.
  • Tag: zeigt das Tag Attribut des Zielobjekts an, wenn das Objekt eine solche Eigenschaft hat, z.B. mit der Arch Arbeitsbereich erstellte Objekte.
  • Material: zeigt die Bezeichnung des Materials des Zielobjekts an, wenn das Zielobjekt eine solche Eigenschaft hat.

Ansicht

  • ViewText Schriftart: gibt die Schriftart an, die zum Zeichnen des Textes verwendet werden soll. Es kann ein Schriftname sein, wie z. B. "Arial", ein Standardstil wie "sans", "serif" oder "mono", eine Familie wie "Arial,Helvetica,sans" oder ein Name mit einem Stil wie "Arial:Bold". Wenn die angegebene Schriftart nicht auf dem System gefunden wird, wird stattdessen eine generische Schriftart verwendet.
  • ViewTextgröße: gibt die Größe des Textes an. Wenn das Etikettenobjekt in der Strukturansicht erstellt wird, aber kein Text in der 3D-Ansicht sichtbar ist, erhöhen Sie die Größe des Textes, bis er sichtbar ist.
  • Template:Eigenschaftsansicht: legt die vertikale Ausrichtung der Grundlinie des Textes in Bezug auf die Führungslinie fest. Sie kann oben, mittig oder unten sein.
  • ViewTextfarbe: gibt die Farbe des Textes in einem RGB-Tupel (R, G, B) an.
  • ViewLinienbreite: gibt die Breite des Vorspanns an.
  • Template:Eigenschaftsansicht: legt die Farbe der Führungslinie fest.
  • Template:Eigenschaftsansicht: legt die Größe des Symbols fest, das an der Spitze der Führungslinie angezeigt wird.
  • Template:Eigenschaftsansicht: gibt den Typ des Symbols an, das an der Spitze der Führungslinie angezeigt wird, z. B. Punkt, Kreis, Pfeil oder Häkchen.
  • ViewRahmen: wenn es "Rectangle" ist, wird ein Rahmen um den Text gezeichnet.
  • ViewLinie: wenn es true ist, wird die Führungslinie angezeigt; andernfalls wird nur der Text und das Symbol an der Spitze angezeigt.
  • ViewAnzeigemodus: wenn es "3D-Text" ist, wird der Text an den Szenenachsen ausgerichtet und liegt zunächst auf der XY-Ebene; wenn es "2D-Text" ist, zeigt der Text immer zur Kamera.

Skripten

Siehe auch: Entwurf API und FreeCAD Grundlagen Skripten.

Das Etikett Werkzeug kann in Makros und aus der Python Konsole mit der folgenden Funktion verwendet werden:

Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
  • Erstellt ein Etikett Objekt, wobei die Führung auf Zielpunkt zeigt und auf das Ziel Objekt verweist, das ein DokumentObjekt sein muss. (Editor: oder ein AuswahlObjekt? Das ist unklar).
  • Richtung ist entweder "Horizontal", "Vertikal" oder "Benutzerdefiniert".
  • Abstand ist der Abstand vom Basispunkt des Textes bis zur Führung.
  • Etikettentype ist eines von "Benutzerdefiniert", "Name", "Etikett", "Position", "Länge", "Fläche", "Volumen", "Tag" oder "Material".
  • Wenn eine Positionierung angegeben wird, wird er für den Basispunkt des Textes verwendet; andernfalls wird der Text am Ursprung erstellt.

Ändere den benutzerdefinierten Text, durch überschreiben des AngepassterText Attributs. Es kann eine Liste von Zeichenfolgen verwendet werden; jedes Element wird in einer eigenen Zeile angezeigt.

Die Ansichtseigenschaften von Etikett können durch Überschreiben seiner Attribute geändert werden; z.B. überschreibe ViewObject.TextSize mit der neuen Größe in Millimetern.

Beispiel:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(4000, 1000)

p1 = FreeCAD.Vector(-200, 1000, 0)
place1 = FreeCAD.Placement(FreeCAD.Vector(-1000, 1300, 0), FreeCAD.Rotation())

Label1 = Draft.makeLabel(p1, Rectangle, "Horizontal", 500, "Label", place1)
Label1.ViewObject.TextSize = 200

p2 = FreeCAD.Vector(-200, 0, 0)
place2 = FreeCAD.Placement(FreeCAD.Vector(-1000, -300, 0), FreeCAD.Rotation())

Label2 = Draft.makeLabel(p2, Rectangle, "Horizontal", 500, "Custom", place2)
Label2.CustomText = ["Beware of the", "sharp edges"]
Label2.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()

p3 = FreeCAD.Vector(1000, 1200, 0)
place3 = FreeCAD.Placement(FreeCAD.Vector(2000, 1800, 0), FreeCAD.Rotation())

Label3 = Draft.makeLabel(p3, Rectangle, "Horizontal", -500, "Area", place3)
Label3.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()